## audiocd-kio 4.13.0

=== plugins/flac/CMakeLists.txt ===

include_directories( ${LIBKCDDB_INCLUDE_DIRS} ${CMAKE_CURRENT_SOURCE_DIR}/..  ${FLAC_INCLUDE_DIR} )


########### next target ###############

# Remove this, and #ifdef in encoderflac when Makefile.am's are removed
add_definitions(-DHAVE_LIBFLAC)

set(audiocd_encoder_flac_PART_SRCS encoderflac.cpp )


kde4_add_plugin(audiocd_encoder_flac WITH_PREFIX ${audiocd_encoder_flac_PART_SRCS})



target_link_libraries(audiocd_encoder_flac ${FLAC_LIBRARIES} ${KDE4_KIO_LIBS} ${LIBKCDDB_LIBRARIES} audiocdplugins)

install(TARGETS audiocd_encoder_flac  DESTINATION ${PLUGIN_INSTALL_DIR} )

## audiocd-kio 4.9.2

=== debian/changelog ===
audiocd-kio (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:08:30 +0100

audiocd-kio (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:14:12 +0530

audiocd-kio (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 16:57:29 +0100

audiocd-kio (4:4.8.90+repack1-0ubuntu2) quantal; urgency=low

  * Fix several lintian warnings: (LP: #1013873)
    description-too-long, wrong-section-according-to-package-name and
    transitional-package-should-be-oldlibs-extra.

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 16 Jun 2012 10:45:15 +0200

audiocd-kio (4:4.8.90+repack1-0ubuntu1) quantal; urgency=low

  [ Felix Geyer ]
  * New upstream beta release.
  * Add missing copyright entry for cmake/FindCdparanoia.cmake

  [ Jonathan Riddell ]
  * Add missing files to .install file
  * Add build-dep on libflac-dev, libogg-dev, libvorbis-dev

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 18:01:21 +0200

audiocd-kio (4:4.8.80-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 06 Jun 2012 14:16:02 +0100

=== debian/control ===
Source: audiocd-kio
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: 
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.9.2), libkcddb-dev (>= 4:4.9.2), libkcompactdisc-dev (>= 4:4.9.1),
 libcdparanoia-dev, libflac-dev, libogg-dev, libvorbis-dev
Standards-Version: 3.9.3
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/audiocd-kio
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/audiocd-kio

Package: audiocd-kio
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: lame
Replaces: kdemultimedia-kio-plugins (<< 4:4.8.80)
Breaks: kdemultimedia-kio-plugins (<< 4:4.8.80)
Description: transparent audio CD access for applications using the KDE Platform
 This package includes the audiocd KIO plugin, which allows applications using
 the KDE Platform to read audio from CDs and automatically convert it into other
 formats.
 .
 This package is part of the KDE multimedia module.

Package: libaudiocdplugins-dev
Section: libdevel
Architecture: any
Depends: ${misc:depends}, libaudiocdplugins4 (= ${binary:Version})
Breaks: kdemultimedia-dev (<< 4:4.8.80), audiocd-kio-dev
Replaces: kdemultimedia-dev (<< 4:4.8.80), audiocd-kio-dev
Description: development files for the audiocd KIO plugin
 This package includes the develpment files for the audiocd KIO plugin,
 which allows applications using the KDE Platform to read audio from
 CDs and automatically convert it into other formats.
 .
 This package is part of the KDE multimedia module.

Package: libaudiocdplugins4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdemultimedia-kio-plugins (<< 4:4.8.80)
Breaks: kdemultimedia-kio-plugins (<< 4:4.8.80)
Description: transparent audio CD access for applications using the KDE Platform
 This package includes the audiocdplugins library for the audiocd KIO plugin,
 which allows applications using the KDE Platform to read audio from
 CDs and automatically convert it into other formats.
 .
 This package is part of the KDE multimedia module.

Package: audiocd-kio-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, audiocd-kio (= ${binary:Version}),
 libaudiocdplugins4 (= ${binary:Version})
Breaks: kdemultimedia-dbg (<< 4:4.8.80)
Replaces: kdemultimedia-dbg (<< 4:4.8.80)
Description: debugging symbols for the audiocd KIO plugin
 This package includes the debugging symbols for the audiocd KIO plugin,
 which allows applications using the KDE Platform to read audio from
 CDs and automatically convert it into other formats.
 .
 This package is part of the KDE multimedia module.

Package: kdemultimedia-kio-plugins
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, audiocd-kio, libaudiocdplugins4
Description: transitional package for audiocd-kio
 Transitional package for audiocd-kio, can be safely removed

## audiocd-kio 4.9.3

=== debian/changelog ===
audiocd-kio (4:4.9.3-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 29 Nov 2012 23:30:36 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.2), libkcddb-dev (>= 4:4.9.2), libkcompactdisc-dev (>= 4:4.9.1),
+ kdelibs5-dev (>= 4:4.9.3), libkcddb-dev (>= 4:4.9.3), libkcompactdisc-dev (>= 4:4.9.3),
  libcdparanoia-dev, libflac-dev, libogg-dev, libvorbis-dev
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/

## audiocd-kio 4.9.5

=== debian/changelog ===
audiocd-kio (4:4.9.5-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1094523)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 30 Dec 2012 21:18:24 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.3), libkcddb-dev (>= 4:4.9.3), libkcompactdisc-dev (>= 4:4.9.3),
+ kdelibs5-dev (>= 4:4.9.5), libkcddb-dev (>= 4:4.9.3), libkcompactdisc-dev (>= 4:4.9.3),
  libcdparanoia-dev, libflac-dev, libogg-dev, libvorbis-dev
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/

## audiocd-kio 4.10.0

=== debian/changelog ===
audiocd-kio (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:27:44 +0000

audiocd-kio (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 14:52:48 +0000

audiocd-kio (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:21:43 +0100

audiocd-kio (4:4.9.95-0ubuntu1~ubuntu13.04~ppa2) raring; urgency=low

  * New upstream RC release
  * Update .install file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:12:42 +0000

audiocd-kio (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:31:00 +0000

audiocd-kio (4:4.9.80-0ubuntu1) raring; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 15:40:53 +0000

audiocd-kio (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:19:55 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.5), libkcddb-dev (>= 4:4.9.3), libkcompactdisc-dev (>= 4:4.9.3),
+ kdelibs5-dev (>= 4:4.10.0), libkcddb-dev (>= 4:4.10.0), libkcompactdisc-dev (>= 4:4.10.0),
  libcdparanoia-dev, libflac-dev, libogg-dev, libvorbis-dev
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=audiocd-kio-dbg

## audiocd-kio 4.10.2

=== debian/changelog ===
audiocd-kio (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:33:29 +0200

audiocd-kio (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 15:09:27 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.0), libkcddb-dev (>= 4:4.10.0), libkcompactdisc-dev (>= 4:4.10.0),
+ kdelibs5-dev (>= 4:4.10.2), libkcddb-dev (>= 4:4.10.2), libkcompactdisc-dev (>= 4:4.10.2),
  libcdparanoia-dev, libflac-dev, libogg-dev, libvorbis-dev
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/

## audiocd-kio 4.11.2

=== debian/changelog ===
audiocd-kio (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 13:53:57 +0100

audiocd-kio (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 06 Sep 2013 22:02:42 +0100

audiocd-kio (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 13 Aug 2013 23:53:41 +0100

audiocd-kio (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release
  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 18:47:02 +0100

audiocd-kio (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:31:35 +0000

audiocd-kio (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 17:56:29 +0100

audiocd-kio (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release

  [ Philip Muškovac ]
  * Bump Breaks/Replaces for the 4.10.3 debian merge to << 4:4.10.80 to catch
    upgrades.

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jun 2013 00:43:02 +0100

audiocd-kio (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Jun 2013 23:31:57 +0100

audiocd-kio (4:4.10.3-0ubuntu2) saucy; urgency=low

  * kio-audiocd breaks/replaces audiocd-kio << 4:4.10.3-0ubuntu2~,
    libaudiocdplugins4 << 4:4.10.3-0ubuntu2~
  * kio-audiocd-dev breaks/replaces
    libaudiocdplugins-dev << 4:4.10.3-0ubuntu2~
  * Remove obsolete libaudiocdplugins4.symbols

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 25 May 2013 14:42:28 +0200

audiocd-kio (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian, remaining changes:
   - kio-audiocd replaces/breaks older kdemultimedia-kio-plugins
  * Add transitional package on audiocd-kio
  * kio-audiocd-dbg replaces/breaks audiocd-kio-dbg

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 May 2013 11:04:21 +0000

audiocd-kio (4:4.10.2-2) experimental; urgency=low

  [ Pino Toscano ]
  * Drop the libkcddb-dev dependency from kio-audiocd-dev, as it will be
    handled in a separate kdemultimedia-dev transitional package.
  * Tighten the kio-audiocd dependency in kio-audiocd-dbg.
  * Add transitional kdemultimedia-kio-plugins and kdemultimedia-dev packages,
    to easily migrate from previous names to the new kio-audiocd ones.

 -- Sune Vuorela <sune@debian.org>  Wed, 17 Apr 2013 22:50:01 +0200

audiocd-kio (4:4.10.2-1) experimental; urgency=low

  [ Pino Toscano ]
  * Initial packaging.

  [ Sune Vuorela ]
  * Put me in uploaders.

 -- Sune Vuorela <sune@debian.org>  Fri, 05 Apr 2013 22:09:37 +0000

=== debian/control ===
Source: audiocd-kio
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>, Sune Vuorela <sune@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.10),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.11.2),
 libkcddb-dev (>= 4:4.11.2),
 libkcompactdisc-dev (>= 4:4.11.2),
 libcdparanoia-dev,
 libflac-dev,
 libogg-dev,
 libvorbis-dev
Standards-Version: 3.9.3
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/audiocd-kio
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/audiocd-kio
X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/audiocd-kio.git
X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/audiocd-kio.git

Package: kio-audiocd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: lame
Breaks: kdemultimedia-kio-plugins (<< 4:4.8.80),
 audiocd-kio (<< 4:4.10.80),
 libaudiocdplugins4 (<< 4:10.80)
Replaces: kdemultimedia-kio-plugins (<< 4:4.8.80),
 audiocd-kio (<< 4:4.10.80),
 libaudiocdplugins4 (<< 4:10.80)
Description: transparent audio CD access for applications using the KDE Platform
 This package includes the audiocd KIO plugin, which allows applications using
 the KDE Platform to read audio from CDs and automatically convert it into other 
 formats.
 .
 This package is part of the KDE multimedia module.

Package: kio-audiocd-dev
Section: devel
Architecture: any
Depends: ${sameVersionDep:kdelibs5-dev:kio-audiocd},
 ${misc:Depends}, kio-audiocd (= ${binary:Version}),
Breaks: kdemultimedia-dev (<< 4:4.10), libaudiocdplugins-dev (<< 4:4.10.80)
Replaces: kdemultimedia-dev (<< 4:4.10), libaudiocdplugins-dev (<< 4:4.10.80)
Description: development files for the audio CD KIO plugin
 This package contains development files for building plugins for the audio CD
 KIO plugin.
 .
 This package is part of the KDE multimedia module.

Package: kdemultimedia-kio-plugins
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, kio-audiocd
Description: transitional package for kio-audiocd
 This transitional package allows one to migrate to kio-audiocd.
 .
 It can be safely removed after the installation.

Package: audiocd-kio
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, kio-audiocd
Description: transitional package for kio-audiocd
 This transitional package allows one to migrate to kio-audiocd.
 .
 It can be safely removed after the installation.

Package: kdemultimedia-dev
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, kio-audiocd-dev, libkcddb-dev, libkcompactdisc-dev
Description: transitional package for KDE multimedia development packages
 This transitional package allows one to migrate to kio-audiocd-dev,
 libkcddb-dev, and libkcompactdisc-dev.
 .
 It can be safely removed after the installation.

Package: kio-audiocd-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kio-audiocd (= ${binary:Version}), kde-runtime-dbg
Breaks: kdemultimedia-dbg, audiocd-kio-dbg
Replaces: kdemultimedia-dbg, audiocd-kio-dbg
Description: debugging symbols for the audio CD KIO plugin
 This package contains debugging files used to investigate problems with
 the audio CD KIO plugin.
 .
 This package is part of the KDE multimedia module.

## audiocd-kio 4.12.3

=== debian/changelog ===
audiocd-kio (4:4.12.3-0ubuntu1~ubuntu12.04.4~ppa1) precise; urgency=low

  * precise backport

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Mar 2014 15:19:50 +0100

audiocd-kio (4:4.12.3-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 28 Feb 2014 20:13:56 +0100

audiocd-kio (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Feb 2014 23:32:32 +0000

audiocd-kio (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 07:52:57 +0000

audiocd-kio (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 16:19:28 +0000

audiocd-kio (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 12:25:34 +0000

audiocd-kio (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 17:37:07 +0100

audiocd-kio (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:23:58 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Uploaders: Pino Toscano <pino@debian.org>, Sune Vuorela <sune@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.2),
- libkcddb-dev (>= 4:4.11.2),
- libkcompactdisc-dev (>= 4:4.11.2),
+ kdelibs5-dev (>= 4:4.12.3),
+ libkcddb-dev (>= 4:4.12.3),
+ libkcompactdisc-dev (>= 4:4.12.3),
  libcdparanoia-dev,
  libflac-dev,
  libogg-dev,

## audiocd-kio 4.13.0

=== debian/changelog ===
audiocd-kio (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 21:32:41 +0100

audiocd-kio (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:04:11 +0200

audiocd-kio (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 11:51:20 +0100

audiocd-kio (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 10:30:22 +0000

audiocd-kio (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:23:32 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Uploaders: Pino Toscano <pino@debian.org>, Sune Vuorela <sune@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.12.3),
- libkcddb-dev (>= 4:4.12.3),
- libkcompactdisc-dev (>= 4:4.12.3),
+ kdelibs5-dev (>= 4:4.13.0),
+ libkcddb-dev (>= 4:4.13.0),
+ libkcompactdisc-dev (>= 4:4.13.0),
  libcdparanoia-dev,
  libflac-dev,
  libogg-dev,

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/audiocd-kio-([\d\.]*).tar.xz

## audiocd-kio 4.13.3

=== doc/CMakeLists.txt ===
########### install files ###############
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kioslave/audiocd)

=== plugins/vorbis/CMakeLists.txt ===

include_directories( ${LIBKCDDB_INCLUDE_DIRS} ${CMAKE_CURRENT_SOURCE_DIR}/..  ${OGGVORBIS_INCLUDE_DIR} ${VORBIS_INCLUDE_DIR})


########### next target ###############

set(audiocd_encoder_vorbis_PART_SRCS encodervorbis.cpp )


kde4_add_ui_files(audiocd_encoder_vorbis_PART_SRCS encodervorbisconfig.ui )

kde4_add_kcfg_files(audiocd_encoder_vorbis_PART_SRCS audiocd_vorbis_encoder.kcfgc )

kde4_add_plugin(audiocd_encoder_vorbis WITH_PREFIX ${audiocd_encoder_vorbis_PART_SRCS})



target_link_libraries(audiocd_encoder_vorbis ${OGGVORBIS_LIBRARIES} ${KDE4_KIO_LIBS} ${LIBKCDDB_LIBRARIES} audiocdplugins)

install(TARGETS audiocd_encoder_vorbis  DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES audiocd_vorbis_encoder.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )

=== debian/changelog ===
audiocd-kio (4:4.13.3-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1349296)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 04 Aug 2014 20:18:41 +0200

audiocd-kio (4:4.13.1-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1318142)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 04 Jun 2014 16:47:09 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Uploaders: Pino Toscano <pino@debian.org>, Sune Vuorela <sune@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.13.0),
- libkcddb-dev (>= 4:4.13.0),
- libkcompactdisc-dev (>= 4:4.13.0),
+ kdelibs5-dev (>= 4:4.13.3),
+ libkcddb-dev (>= 4:4.13.1),
+ libkcompactdisc-dev (>= 4:4.13.2),
  libcdparanoia-dev,
  libflac-dev,
  libogg-dev,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_makeshlibs:
	$(overridden_command) -V -- -c0

override_dh_strip:
	$(overridden_command) --dbg-package=kio-audiocd-dbg

## audiocd-kio 4.14.1

=== debian/changelog ===
audiocd-kio (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 22 Sep 2014 16:19:53 +0200

audiocd-kio (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 12:25:46 +0200

audiocd-kio (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:02:29 +0200

audiocd-kio (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 17:19:49 +0200

audiocd-kio (4:4.13.90-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release

  [ Jonathan Riddell ]
  * Add audiocd_flac_encoder.kcfg to install

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 17:20:34 +0200

audiocd-kio (4:4.13.2-0ubuntu1) utopic; urgency=medium

  [ Rohan Garg ]
  * Merge with debian, no remaining changes

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:38:07 +0100

audiocd-kio (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 May 2014 11:11:01 +0200

audiocd-kio (4:4.12.4-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:25:42 +0200

audiocd-kio (4:4.12.3-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:05:59 +0100

audiocd-kio (4:4.12.2-1) experimental; urgency=medium

  * Enable build failures on missing symbols.
  * Add abi-compliance-checker info.
  * Do not disable an empty test set.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:31:42 +0100

audiocd-kio (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 08 Nov 2013 12:17:24 +0100

audiocd-kio (4:4.11.2-1) experimental; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 07 Oct 2013 15:00:49 +0200

audiocd-kio (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 16:23:14 +0200

audiocd-kio (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Update vcs fields.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 11:09:52 +0200

=== debian/control ===
Source: audiocd-kio
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14.1),
               libcdparanoia-dev,
               libflac-dev,
               libkcddb-dev (>= 4:4.14.1),
               libkcompactdisc-dev (>= 4:4.14.1),
               libogg-dev,
               libvorbis-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/audiocd-kio
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/audiocd-kio
X-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/audiocd-kio.git
X-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/audiocd-kio.git

Package: kio-audiocd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: lame
Breaks: kdemultimedia-kio-plugins (<< 4:4.10)
Replaces: kdemultimedia-kio-plugins (<< 4:4.10)
Description: transparent audio CD access for applications using the KDE Platform
 This package includes the audiocd KIO plugin, which allows applications using
 the KDE Platform to read audio from CDs and automatically convert it into other
 formats.
 .
 This package is part of the KDE multimedia module.

Package: kio-audiocd-dev
Section: devel
Architecture: any
Depends: kio-audiocd (= ${binary:Version}),
         ${misc:Depends},
         ${sameVersionDep:kdelibs5-dev:kio-audiocd}
Breaks: kdemultimedia-dev (<< 4:4.10)
Replaces: kdemultimedia-dev (<< 4:4.10)
Description: development files for the audio CD KIO plugin
 This package contains development files for building plugins for the audio CD
 KIO plugin.
 .
 This package is part of the KDE multimedia module.

Package: kdemultimedia-kio-plugins
Section: oldlibs
Priority: extra
Architecture: all
Depends: kio-audiocd, ${misc:Depends}
Description: transitional package for kio-audiocd
 This transitional package allows one to migrate to kio-audiocd.
 .
 It can be safely removed after the installation.

Package: kdemultimedia-dev
Section: oldlibs
Priority: extra
Architecture: all
Depends: kio-audiocd-dev, libkcddb-dev, libkcompactdisc-dev, ${misc:Depends}
Description: transitional package for KDE multimedia development packages
 This transitional package allows one to migrate to kio-audiocd-dev,
 libkcddb-dev, and libkcompactdisc-dev.
 .
 It can be safely removed after the installation.

Package: kio-audiocd-dbg
Section: debug
Architecture: any
Priority: extra
Depends: kde-runtime-dbg, kio-audiocd (= ${binary:Version}), ${misc:Depends}
Breaks: kdemultimedia-dbg
Replaces: kdemultimedia-dbg
Description: debugging symbols for the audio CD KIO plugin
 This package contains debugging files used to investigate problems with
 the audio CD KIO plugin.
 .
 This package is part of the KDE multimedia module.

## audiocd-kio 4.14.2

=== plugins/wav/CMakeLists.txt ===

include_directories( ${LIBKCDDB_INCLUDE_DIRS} ${CMAKE_CURRENT_SOURCE_DIR}/..  ${CDPARANOIA_INCLUDE_DIR} )


########### next target ###############

set(audiocd_encoder_wav_PART_SRCS encoderwav.cpp encodercda.cpp )


kde4_add_plugin(audiocd_encoder_wav WITH_PREFIX ${audiocd_encoder_wav_PART_SRCS})



target_link_libraries(audiocd_encoder_wav  ${KDE4_KIO_LIBS} audiocdplugins )

install(TARGETS audiocd_encoder_wav  DESTINATION ${PLUGIN_INSTALL_DIR} )

=== debian/changelog ===
audiocd-kio (4:4.14.2-1) unstable; urgency=medium

  * New upstream release (4.14.2).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 20 Oct 2014 17:13:40 +0200

audiocd-kio (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update install file.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 22 Aug 2014 21:46:38 +0200

audiocd-kio (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 29 Jul 2014 12:16:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,25 @@
 Source: audiocd-kio
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.1),
+               kdelibs5-dev (>= 4:4.11),
                libcdparanoia-dev,
                libflac-dev,
-               libkcddb-dev (>= 4:4.14.1),
-               libkcompactdisc-dev (>= 4:4.14.1),
+               libkcddb-dev (>= 4:4.11),
+               libkcompactdisc-dev (>= 4:4.11),
                libogg-dev,
                libvorbis-dev,
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/audiocd-kio
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/audiocd-kio
-X-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/audiocd-kio.git
-X-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/audiocd-kio.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/audiocd-kio.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/audiocd-kio.git
 
 Package: kio-audiocd
 Architecture: any

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/audiocd-kio-([\d.]+).tar.xz

## audiocd-kio 14.12.3

=== debian/changelog ===
audiocd-kio (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 14:07:33 -0700

audiocd-kio (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 09:01:24 -0800

audiocd-kio (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 16:30:13 +0100

audiocd-kio (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream release candidate

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 02 Dec 2014 09:39:17 -0800

audiocd-kio (4:14.11.95-0ubuntu2) vivid; urgency=medium

  * Fix Watch file applications locations 
  * Fix VCS for new kde-applications location 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 24 Nov 2014 07:48:04 -0800

audiocd-kio (4:14.11.95-0ubuntu1) vivid; urgency=medium

  * Initial release for KDE applications 14.12 series 
   - Change maintainer to Debian/Kubuntu
  * Debian merge, no remaining changes. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 21 Nov 2014 21:30:36 +0000

audiocd-kio (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 02:30:27 -0700

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,25 @@
 Source: audiocd-kio
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.11),
+               kdelibs5-dev,
                libcdparanoia-dev,
                libflac-dev,
-               libkcddb-dev (>= 4:4.11),
-               libkcompactdisc-dev (>= 4:4.11),
+               libkcddb-dev (>= 4:14.12.3),
+               libkcompactdisc-dev (>= 4:14.12.3),
                libogg-dev,
                libvorbis-dev,
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/audiocd-kio.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/audiocd-kio.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/audiocd-kio.git/
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/audiocd-kio.git
 
 Package: kio-audiocd
 Architecture: any

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/audiocd-kio-([\d.]+).tar.xz

http://download.kde.org/unstable/applications/([\d.]+)/src/audiocd-kio-([\d.]+).tar.xz

## audiocd-kio 15.08.2

=== debian/changelog ===
audiocd-kio (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 11:47:13 +0100

audiocd-kio (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:04:13 +0100

audiocd-kio (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 26 Aug 2015 16:54:19 +0100

audiocd-kio (4:15.07.90-0ubuntu1) wily; urgency=medium

  * New upstream release
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 08:55:33 +0100

audiocd-kio (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 18:20:27 +0200

=== debian/control ===
--- 
+++ 
@@ -11,12 +11,12 @@
                kdelibs5-dev,
                libcdparanoia-dev,
                libflac-dev,
-               libkcddb-dev (>= 4:14.12.3),
-               libkcompactdisc-dev (>= 4:14.12.3),
+               libkcddb-dev (>= 4:15.04.2),
+               libkcompactdisc-dev (>= 4:15.04.2),
                libogg-dev,
                libvorbis-dev,
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/audiocd-kio.git/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/audiocd-kio.git

## audiocd-kio 15.12.3

=== debian/changelog ===
audiocd-kio (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 14:48:57 -0700

audiocd-kio (4:15.12.1-0ubuntu1) xenial; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Philip Muškovac ]
  * Merge with debian git master

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 10:21:23 +0100

audiocd-kio (4:14.12.2-1) experimental; urgency=medium

  * New upstream release (14.12.2).
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 21 Feb 2015 11:21:39 +0100

=== debian/control ===
--- 
+++ 
@@ -18,8 +18,8 @@
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/audiocd-kio.git/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/audiocd-kio.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/audiocd-kio.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/audiocd-kio.git
 
 Package: kio-audiocd
 Architecture: any
@@ -71,8 +71,8 @@
 
 Package: kio-audiocd-dbg
 Section: debug
+Priority: extra
 Architecture: any
-Priority: extra
 Depends: kde-runtime-dbg, kio-audiocd (= ${binary:Version}), ${misc:Depends}
 Breaks: kdemultimedia-dbg
 Replaces: kdemultimedia-dbg

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_makeshlibs:
	$(overridden_command) -V

override_dh_strip:
	$(overridden_command) --dbg-package=kio-audiocd-dbg

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/audiocd-kio-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/audiocd-kio-([\d.]+).tar.xz

## audiocd-kio 16.04.3

=== debian/changelog ===
audiocd-kio (4:16.04.3-0ubuntu4) yakkety; urgency=medium

  * Fifth time's the charm: also downgrade runtime dependency on
    libkcddb-dev.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 05 Oct 2016 15:29:52 -0700

audiocd-kio (4:16.04.3-0ubuntu3) yakkety; urgency=medium

  * Revert versioned build-dependency on libkcddb-dev, this is artificial
    as there are now upstream changes to libkcddb-dev.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 05 Oct 2016 00:12:39 -0700

audiocd-kio (4:16.04.3-0ubuntu2) yakkety; urgency=medium

  * Remove obsolete, uninstallable kio-audiocd-dbg package.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 03 Oct 2016 21:58:50 -0700

audiocd-kio (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Rohan Garg ]
  * New upstream release

  [ Scarlett Clark ]
  * New upstream release. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release. 

  [ Clive Johnston ]
  * Build with KF5 instead of KDE4
  * New upstream release 16.04.2
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:41:32 +0200

=== debian/control ===
--- 
+++ 
@@ -8,18 +8,18 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev,
+               kdelibs5-dev (>= 4:4.14.22~),
                libcdparanoia-dev,
                libflac-dev,
                libkcddb-dev (>= 4:15.04.2),
-               libkcompactdisc-dev (>= 4:15.04.2),
+               libkcompactdisc-dev (>= 4:16.04.3~),
                libogg-dev,
                libvorbis-dev,
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/audiocd-kio.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/audiocd-kio.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/audiocd-kio
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/audiocd-kio
 
 Package: kio-audiocd
 Architecture: any
@@ -62,22 +62,12 @@
 Section: oldlibs
 Priority: extra
 Architecture: all
-Depends: kio-audiocd-dev, libkcddb-dev, libkcompactdisc-dev, ${misc:Depends}
+Depends: kio-audiocd-dev (>= 4:16.04.3~),
+         libkcddb-dev (>= 4:15.04.2),
+         libkcompactdisc-dev (>= 4:16.04.3~),
+         ${misc:Depends}
 Description: transitional package for KDE multimedia development packages
  This transitional package allows one to migrate to kio-audiocd-dev,
  libkcddb-dev, and libkcompactdisc-dev.
  .
  It can be safely removed after the installation.
-
-Package: kio-audiocd-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: kde-runtime-dbg, kio-audiocd (= ${binary:Version}), ${misc:Depends}
-Breaks: kdemultimedia-dbg
-Replaces: kdemultimedia-dbg
-Description: debugging symbols for the audio CD KIO plugin
- This package contains debugging files used to investigate problems with
- the audio CD KIO plugin.
- .
- This package is part of the KDE multimedia module.

## audiocd-kio 16.08.3

=== plugins/flac/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,9 @@
 
 set(audiocd_encoder_flac_PART_SRCS encoderflac.cpp )
 
+kde4_add_ui_files(audiocd_encoder_flac_PART_SRCS encoderflacconfig.ui)
+
+kde4_add_kcfg_files(audiocd_encoder_flac_PART_SRCS audiocd_flac_encoder.kcfgc)
 
 kde4_add_plugin(audiocd_encoder_flac WITH_PREFIX ${audiocd_encoder_flac_PART_SRCS})
 
@@ -18,3 +21,5 @@
 
 install(TARGETS audiocd_encoder_flac  DESTINATION ${PLUGIN_INSTALL_DIR} )
 
+install(FILES audiocd_flac_encoder.kcfg DESTINATION ${KCFG_INSTALL_DIR})
+

=== plugins/lame/CMakeLists.txt ===

include_directories( ${LIBKCDDB_INCLUDE_DIRS} ${CMAKE_CURRENT_SOURCE_DIR}/..  )

FIND_PROGRAM(LAME_EXECUTABLE NAMES lame
)

if(NOT LAME_EXECUTABLE)
	MESSAGE(STATUS "\"lame\" binary not found. Plugins will be compile but install it under your system to using this plugins")
endif(NOT LAME_EXECUTABLE)

########### next target ###############

set(audiocd_encoder_lame_PART_SRCS encoderlame.cpp )


kde4_add_ui_files(audiocd_encoder_lame_PART_SRCS encoderlameconfig.ui )

kde4_add_kcfg_files(audiocd_encoder_lame_PART_SRCS audiocd_lame_encoder.kcfgc )

kde4_add_plugin(audiocd_encoder_lame WITH_PREFIX ${audiocd_encoder_lame_PART_SRCS})



target_link_libraries(audiocd_encoder_lame  ${KDE4_KIO_LIBS} ${LIBKCDDB_LIBRARIES} audiocdplugins)

install(TARGETS audiocd_encoder_lame  DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES audiocd_lame_encoder.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )

=== debian/changelog ===
audiocd-kio (4:16.08.3-1) unstable; urgency=medium

  * New upstream release (16.08.3)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 20:48:55 +0100

audiocd-kio (4:16.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Wed, 24 Aug 2016 22:35:26 +0200

audiocd-kio (4:15.12.2-2) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

  [ Maximiliano Curia ]
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Automatic update with ddeb_migration3.py

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Jun 2016 18:39:54 +0200

audiocd-kio (4:15.12.2-1) unstable; urgency=medium

  [ Rohan Garg ]
  * New upstream release

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

  [ Maximiliano Curia ]
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Automatic update with ddeb_migration3.py

 -- Maximiliano Curia <maxy@debian.org>  Sun, 22 May 2016 08:54:38 +0200

=== debian/control ===
--- 
+++ 
@@ -8,18 +8,18 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.22~),
+               kdelibs5-dev,
                libcdparanoia-dev,
                libflac-dev,
-               libkcddb-dev (>= 4:15.04.2),
-               libkcompactdisc-dev (>= 4:16.04.3~),
+               libkcddb-dev (>= 4:4.11),
+               libkcompactdisc-dev (>= 4:4.11),
                libogg-dev,
                libvorbis-dev,
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/audiocd-kio
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/audiocd-kio
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/audiocd-kio.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/audiocd-kio.git
 
 Package: kio-audiocd
 Architecture: any
@@ -62,10 +62,7 @@
 Section: oldlibs
 Priority: extra
 Architecture: all
-Depends: kio-audiocd-dev (>= 4:16.04.3~),
-         libkcddb-dev (>= 4:15.04.2),
-         libkcompactdisc-dev (>= 4:16.04.3~),
-         ${misc:Depends}
+Depends: kio-audiocd-dev, libkcddb-dev, libkcompactdisc-dev, ${misc:Depends}
 Description: transitional package for KDE multimedia development packages
  This transitional package allows one to migrate to kio-audiocd-dev,
  libkcddb-dev, and libkcompactdisc-dev.

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,4 @@
 	$(overridden_command) -V
 
 override_dh_strip:
-	$(overridden_command) --dbg-package=kio-audiocd-dbg
+	$(overridden_command) --dbgsym-migration='kio-audiocd-dbg (<= 4:15.12.2-2~1.gbpa0d28f~)'
